Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class MappingInfoRepository

    java.lang.Object
      |
      +--kodo.jdbc.meta.MappingInfoRepository

public class MappingInfoRepository
extends Object

Simple repository for `ClassMappingInfo`s. Does not parse mappings that are not already cached.

Constructor Summary
`MappingInfoRepository(JDBCConfiguration conf)` Constructor.

Method Summary
`void` | `addMappingInfo(ClassMapping mapping)` Add the given class mapping's info to the set of mappings.
`void` | `addMappingInfo(ClassMappingInfo mapping)` Add the given mapping to the set of mapping infos stored.
`void` | `addMappingInfos(MappingInfoRepository repos)` Add all the mappings in the given repository to the set of mappings stored.
`void` | `addMappingInfos(MappingRepository repos)` Add all the mappings in the given repository to the set of mappings stored.
`void` | `clear()` Clear the set of mappings stored.
`protected JDBCConfiguration` | `getConfiguration()`
`ClassMappingInfo` | `getMappingInfo(Class cls, boolean mustExist)` Return the mapping info for the given class.
`ClassMappingInfo[]` | `getMappingInfos()` Return the set of mapping infos stored.
`boolean` | `removeMappingInfo(Class cls)` Remove the given mapping from the set stored.
`boolean` | `removeMappingInfo(ClassMapping mapping)` Remove the given mappings's info from the set stored.
`boolean` | `removeMappingInfo(ClassMappingInfo mapping)` Remove the given mapping from the set stored.
`boolean` | `removeMappingInfo(String className)` Remove the given mappings's info from the set stored.
`boolean` | `removeMappingInfos(MappingInfoRepository repos)` Remove all mappings in the given repository from the set stored.
`boolean` | `removeMappingInfos(MappingRepository repos)` Remove all mappings in the given repository from the set stored.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingInfoRepository

    public MappingInfoRepository(JDBCConfiguration conf)

  Constructor. Supply configuration.

Method Detail

### getConfiguration

    protected JDBCConfiguration getConfiguration()

### getMappingInfo

    public ClassMappingInfo getMappingInfo(Class cls,
                                           boolean mustExist)

  Return the mapping info for the given class.
  Parameters:
    `mustExist` - if true, throws a `MappingInfoNotFoundException` if no mapping info is found

### getMappingInfos

    public ClassMappingInfo[] getMappingInfos()

  Return the set of mapping infos stored.

### addMappingInfo

    public void addMappingInfo(ClassMappingInfo mapping)

  Add the given mapping to the set of mapping infos stored.

### addMappingInfo

    public void addMappingInfo(ClassMapping mapping)

  Add the given class mapping's info to the set of mappings.

### addMappingInfos

    public void addMappingInfos(MappingInfoRepository repos)

  Add all the mappings in the given repository to the set of mappings stored.

### addMappingInfos

    public void addMappingInfos(MappingRepository repos)

  Add all the mappings in the given repository to the set of mappings stored.

### removeMappingInfo

    public boolean removeMappingInfo(ClassMappingInfo mapping)

  Remove the given mapping from the set stored.
  Returns:
    true if mapping was removed, false if not in set

### removeMappingInfo

    public boolean removeMappingInfo(Class cls)

  Remove the given mapping from the set stored.
  Returns:
    true if mapping was removed, false if not in set

### removeMappingInfo

    public boolean removeMappingInfo(ClassMapping mapping)

  Remove the given mappings's info from the set stored.
  Returns:
    true if mapping removed, false if not in set

### removeMappingInfo

    public boolean removeMappingInfo(String className)

  Remove the given mappings's info from the set stored.
  Returns:
    true if mapping removed, false if not in set

### removeMappingInfos

    public boolean removeMappingInfos(MappingInfoRepository repos)

  Remove all mappings in the given repository from the set stored.
  Returns:
    true if any mappings in the repository were removed, false if none in set

### removeMappingInfos

    public boolean removeMappingInfos(MappingRepository repos)

  Remove all mappings in the given repository from the set stored.
  Returns:
    true if any mappings in the repository were removed, false if none in set

### clear

    public void clear()

  Clear the set of mappings stored.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.